private:

static void subst_node(node_arbre* &n, const T &x, node_arbre* ns) {
/* Pre: cert */ 
/* Post: els nodes de la jerarquia de nodes que comença al node
 apuntat per n tals que el seu camp info valia x i no tenien següents
 han estat substituits per una còpia de la jeraquia de nodes que
 comença al node apuntat per ns */
if (n!=NULL) {
  if (n->info == x and n->segE == NULL and n->segD == NULL) {
    delete n; 
    n = copia_node_arbre(ns);
  }
  else {
    subst_node(n->segE, x, ns);
    subst_node(n->segD, x, ns);
  }
}
}


public:

void subst(const T &x, const Arbre &as) { 
/* Pre: A és el valor inicial del p.i.; el tipus T té l'operació == */
/* Post: el p.i. és com A però havent substituit les fulles que
 contenien x per l'arbre as */
subst_node(primer_node, x, as.primer_node);
}

