public:

void inc_arbreG(const T &k) {
/* Pre: A és el valor inicial del p.i. */ 
/* Post: el p.i. és com A però havent sumat k a tots els seus
   elements */
    if (primer != nullptr) inc_node(primer, k);
}


private:

static void inc_node (Node* n, const T &k) {
/* Pre: n no apunta a nullptr */ 
/* Post: el node apuntat per n i tots els seus següents tenen al seu
   camp info la suma de k i el seu valor original */
    n->info += k;
    int ari = (n->seg).size();
    for (int i = 0; i < ari; ++i) { 
      inc_node(n->seg[i], k);
    }
}


