public:

void arbre_max_min(ArbreNari& amax, ArbreNari& amin) const {
/* Pre: el p.i. no es buit, amax i amin son buits */
/* Post: amax es l'arbre de maxims del p.i, amin es l'arbre de minims del p.i. */
arbre_max_min_aux(primer, amax.primer, amin.primer);
}


private:

static void arbre_max_min_aux(Node* m, Node*& n_max, Node*& n_min) { 
/* Pre: m no apunta a NULL */
/* Post: n_max apunta a una jerarquia de nodes que conte els valors 
 maxims de la jerarquia de nodes a la que apunta m,
 n_min apunta a una jerarquia de nodes que conte els valors minims de 
 la jerarquia de nodes a la que apunta m */
n_max = new Node;
n_min = new Node;
int ari = m->seg.size();
n_max->info = n_min->info = m->info;
n_max->seg = vector<Node*>(ari, nullptr);
n_min->seg = vector<Node*>(ari, nullptr);
for (int i = 0; i < ari; ++i){
    if (m->seg[i] != nullptr) {
	    arbre_max_min_aux(m->seg[i], n_max->seg[i], n_min->seg[i]);
	    if (n_max->seg[i]->info > n_max->info) n_max->info = n_max->seg[i]->info;	
	    if (n_min->seg[i]->info < n_min->info) n_min->info = n_min->seg[i]->info;
    }	 
}
}
